Update Facebook permissions to 2.0 API

Bug #1430694 reported by Alberto Mardegan on 2015-03-11
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Canonical System Image
Critical
David Barth
Online Accounts: Account plugins
High
Alberto Mardegan
account-plugins (Ubuntu)
Critical
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
account-plugins (Ubuntu RTM)
Critical
Unassigned

Bug Description

The 1.0 API is being deprecated on April 30, 2015.

[Impact] Depending on how facebook decides to handle the deprecation, there's the possibility that creating facebook accounts from Ubuntu Online Accounts will just stop working, if our OAuth request (which uses deprecated parameters) gets declined.

[Test case] Until the deprecation actually takes place, we won't be able to reproduce the bug. According to the Facebook official documentation, the v1.0 API will stop working on April 30th, 2015:
https://developers.facebook.com/docs/apps/changelog

[Regression potential] Very low: the new Facebook v2.0 API is already active, and we've been using it in Vivid without issues. A quick smoke test (just create a Facebook account from the System Settings -> Online Accounts pane) is anyway advised, to be absolutely sure.

Related branches

Alberto Mardegan (mardy) on 2015-03-11
Changed in account-plugins:
status: New → In Progress
assignee: nobody → Alberto Mardegan (mardy)
importance: Undecided → High
Changed in canonical-devices-system-image:
status: New → Confirmed
importance: Undecided → High
milestone: none → ww13-ota
Changed in canonical-devices-system-image:
assignee: nobody → David Barth (dbarth)
Changed in account-plugins (Ubuntu):
status: New → In Progress
importance: Undecided → Critical
Changed in account-plugins (Ubuntu RTM):
status: New → Confirmed
importance: Undecided → Critical
Changed in canonical-devices-system-image:
importance: High → Critical
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package account-plugins - 0.12+15.04.20150318-0ubuntu1

---------------
account-plugins (0.12+15.04.20150318-0ubuntu1) vivid; urgency=medium

  [ Alberto Mardegan ]
  * Add required ResponseType parameter to Facebook plugin. (LP:
    #1430694, #1429911)
 -- CI Train Bot <email address hidden> Wed, 18 Mar 2015 09:20:41 +0000

Changed in account-plugins (Ubuntu):
status: In Progress → Fix Released
Changed in canonical-devices-system-image:
status: Confirmed → In Progress
Changed in account-plugins (Ubuntu RTM):
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package account-plugins - 0.12+15.04.20150325~rtm-0ubuntu1

---------------
account-plugins (0.12+15.04.20150325~rtm-0ubuntu1) 14.09; urgency=medium

  [ Alberto Mardegan ]
  * Don't use v1.0 permissions Add ResponseType to Facebook plugin (LP:
    #1430694, #1429911)
 -- CI Train Bot <email address hidden> Wed, 25 Mar 2015 09:34:02 +0000

Changed in account-plugins (Ubuntu RTM):
status: In Progress → Fix Released
Changed in canonical-devices-system-image:
status: In Progress → Fix Released
Alberto Mardegan (mardy) on 2015-04-28
description: updated

Hello Alberto, or anyone else affected,

Accepted account-plugins into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/account-plugins/0.12+14.10.20140924-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: trusty utopic
Changed in account-plugins (Ubuntu Utopic):
status: New → Fix Committed
tags: added: verification-needed
Alberto Mardegan (mardy) wrote :

I tested it in utopic-proposed and it works fine.

Note that I didn't test this in trusty-proposed (the package has not been uploaded there yet), but anyway I don't expect it to be any different there.

tags: added: verification-done
removed: verification-needed
Chris J Arges (arges) wrote :

Hello Alberto, or anyone else affected,

Accepted account-plugins into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/account-plugins/0.11+14.04.20140409.1-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in account-plugins (Ubuntu Trusty):
status: New → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Alberto Mardegan (mardy) wrote :

I tested the fix also in trusty-proposed, and everything works fine: I could create a facebook account, and then I tried the photo search in the Dash, which showed me recent photos from facebook.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package account-plugins - 0.11+14.04.20140409.1-0ubuntu2

---------------
account-plugins (0.11+14.04.20140409.1-0ubuntu2) trusty; urgency=medium

  [ Alberto Mardegan ]
  * Add required ResponseType parameter to Facebook plugin, move to v2.0 API.
    (LP: #1430694)
  * Remove non working IM services (LP: #1432613)

  [ Iain Lane ]
  * Add a NEWS entry.

 -- Alberto Mardegan <email address hidden> Thu, 30 Apr 2015 11:47:12 +0100

Changed in account-plugins (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for account-plugins has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package account-plugins - 0.12+14.10.20140924-0ubuntu2

---------------
account-plugins (0.12+14.10.20140924-0ubuntu2) utopic; urgency=medium

  [ Alberto Mardegan ]
  * Add required ResponseType parameter to Facebook plugin, move to 2.0 API.
   (LP: #1430694)
  * Remove non working IM services (LP: #1432613)

  [ Iain Lane ]
  * Add a NEWS entry.

 -- Alberto Mardegan <email address hidden> Thu, 30 Apr 2015 11:24:02 +0100

Changed in account-plugins (Ubuntu Utopic):
status: Fix Committed → Fix Released
Alberto Mardegan (mardy) on 2015-09-04
Changed in account-plugins:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers